﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            List<Person> data = new List<Person>();
            data.Add(new Person() { Name = "person1", Age = 20 });
            data.Add(new Person() { Name = "person2", Age = 20 });
            data.Add(new Person() { Name = "person3", Age = 40 });
            data.Add(new Person() { Name = "person4", Age = 20 });
            data.Add(new Person() { Name = "person5", Age = 40 });

            this.DataContext = data;
        }
    }

    public class Person
    {
        public int Age { get; set; }
        public string Name { get; set; }
        public bool IsTrue { get; set; }
    }

    public class MyConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if ((int)value > 20)
            {
                return Visibility.Collapsed;
            }
            else
                return Visibility.Visible;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
